Bug 1899955 - python-aiomqtt fails to build with Python 3.10: pytest.PytestDeprecationWarning: Passing arguments to pytest.fixture() as positional arguments is deprecated - pass them as a keyword argument instead.
Summary: python-aiomqtt fails to build with Python 3.10: pytest.PytestDeprecationWarni...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-aiomqtt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-20 13:07 UTC by Tomáš Hrnčiar
Modified: 2021-07-28 00:43 UTC (History)
3 users (show)

Fixed In Version: 0.1.2-1 python-aiomqtt-0.1.3-2.fc34 python-aiomqtt-0.1.3-2.fc33 python-aiomqtt-0.1.3-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-21 02:12:34 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github mossblaser aiomqtt issues 7 0 None open Fails to build with Python 3.10 2021-01-07 08:57:05 UTC

Description Tomáš Hrnčiar 2020-11-20 13:07:46 UTC
python-aiomqtt fails to build with Python 3.10.0a2.

==================================== ERRORS ====================================
____________________ ERROR collecting tests/test_client.py _____________________
tests/test_client.py:13: in <module>
    @pytest.fixture("module")
/usr/lib/python3.10/site-packages/_pytest/fixtures.py:1358: in fixture
    warnings.warn(FIXTURE_POSITIONAL_ARGUMENTS, stacklevel=2)
E   pytest.PytestDeprecationWarning: Passing arguments to pytest.fixture() as positional arguments is deprecated - pass them as a keyword argument instead.
=========================== short test summary info ============================
ERROR tests/test_client.py - pytest.PytestDeprecationWarning: Passing argumen...
!!!!!!!!!!!!!!!!!!!! Interrupted: 1 error during collection !!!!!!!!!!!!!!!!!!!!
=============================== 1 error in 0.16s ===============================

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01773713-python-aiomqtt/

For all our attempts to build python-aiomqtt with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-aiomqtt/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Ben Cotton 2021-02-09 15:26:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 2 Fedora Admin user for bugzilla script actions 2021-05-07 01:51:37 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Fedora Admin user for bugzilla script actions 2021-05-21 00:04:46 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 4 Ben Beasley 2021-05-21 02:12:34 UTC
Fixed upstream in 0.1.2.

Comment 5 Fedora Update System 2021-05-21 12:02:49 UTC
FEDORA-EPEL-2021-bf76891214 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-bf76891214

Comment 6 Fedora Update System 2021-05-21 12:03:48 UTC
FEDORA-2021-f9620f716d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f9620f716d

Comment 7 Fedora Update System 2021-05-21 12:04:18 UTC
FEDORA-2021-39cf7f3cf4 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-39cf7f3cf4

Comment 8 Fedora Update System 2021-05-21 12:04:58 UTC
FEDORA-2021-2f336c2ab4 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2f336c2ab4

Comment 9 Fedora Update System 2021-05-22 01:45:12 UTC
FEDORA-EPEL-2021-bf76891214 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-bf76891214

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-05-22 01:50:32 UTC
FEDORA-2021-2f336c2ab4 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-2f336c2ab4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-2f336c2ab4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-05-22 01:54:04 UTC
FEDORA-2021-39cf7f3cf4 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-39cf7f3cf4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-39cf7f3cf4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-05-22 02:08:04 UTC
FEDORA-2021-f9620f716d has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f9620f716d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f9620f716d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-05-24 01:05:02 UTC
FEDORA-2021-8e99fba66a has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8e99fba66a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8e99fba66a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-05-24 01:47:12 UTC
FEDORA-2021-1de5273982 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1de5273982`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1de5273982

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-05-24 01:57:45 UTC
FEDORA-EPEL-2021-4c5252fe46 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-4c5252fe46

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-06-01 01:03:05 UTC
FEDORA-2021-1de5273982 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-06-01 01:05:02 UTC
FEDORA-2021-8e99fba66a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-07-28 00:43:16 UTC
FEDORA-EPEL-2021-4c5252fe46 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.